Skip to main content
GET
/
gov-connect
/
{user_id}
Returns all Gov Connect (HMRC) income submissions for a user
curl --request GET \
  --url https://api.sandbox.goteal.co/gov-connect/{user_id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.sandbox.goteal.co/gov-connect/{user_id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.sandbox.goteal.co/gov-connect/{user_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "pagination": {
    "offset": 75,
    "limit": 25,
    "count": 14,
    "total_count": 89
  },
  "gov_connect_submissions": [
    {
      "id": "3f1c0b9a-1e2d-4a5b-9c8d-0e1f2a3b4c5d",
      "account_id": "95a0e70b-fe02-4f47-aef9-2efff279df71",
      "entry_id": "1b2c3d4e-5f6a-7b8c-9d0e-1f2a3b4c5d6e",
      "authorisation_id": "9f8e7d6c-5b4a-3210-fedc-ba9876543210",
      "income_id": "2025-26:emp:se:prop",
      "identity": {
        "name": "Fred Bloggs",
        "date_of_birth": "1980-02-20",
        "ni_number": "QQ000001A"
      },
      "employments": [
        {
          "employment": {
            "employer_name": "NEW CORP",
            "paye_reference": "120/NC15208",
            "status": "active",
            "start_date": "2024-06-10T00:00Z",
            "leave_date": "<string>",
            "tax_code": "<string>"
          },
          "income": {
            "tax_year": "2024-25",
            "taxable_income": "28100.91",
            "tax_paid": "3611.40"
          },
          "updated_at": "2026-06-05 13:03:39"
        }
      ],
      "self_employments": [
        {
          "business": {
            "business_id": "XBIS1"
          },
          "income": {
            "tax_year": "2024-25",
            "turnover": "92500.00",
            "other_income": "1200.00",
            "tax_deducted_at_source": "0.00"
          }
        }
      ],
      "properties": [
        {
          "property_id": "XPIS1",
          "tax_year": "2024-25",
          "rent_received": "747.45"
        }
      ]
    }
  ]
}
{
  "errors": [
    "The request is missing the required field `name`"
  ]
}
{
  "errors": [
    "No X-API-KEY header provided or wrong value"
  ]
}
{
  "errors": [
    "The resource with id [8be3bb60-5ab4-4bd2-90e6-3b015691a827] does not exist"
  ]
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

user_id
string<uuid>
required

ID of the user to get Gov Connect income for

Query Parameters

offset
integer<int32>
default:0

The offset to start at

Required range: x >= 0
limit
integer<int32>
default:100

The number of items to return

Required range: x >= 1
account_id
string<uuid>

Filter submissions to a single account

entry_id
string<uuid>

Filter submissions to a single ingestion entry

created_after
string<date-time>

Filter out submissions dated before the given date

Example:

"2019-05-17T00:00:00.000Z"

created_before
string<date-time>

Filter out submissions dated after the given date

Example:

"2019-05-17T00:00:00.000Z"

Response

Gov Connect income response

pagination
object
required
gov_connect_submissions
object[]
required